<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NoSuchPublicationException StructType
 * @subpackage Structs
 */
class NoSuchPublicationException extends Exception
{
    /**
     * The NoSuchPublicationException
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\NoSuchPublicationException
     */
    public $NoSuchPublicationException;
    /**
     * Constructor method for NoSuchPublicationException
     * @uses NoSuchPublicationException::setNoSuchPublicationException()
     * @param \StructType\NoSuchPublicationException $noSuchPublicationException
     */
    public function __construct(\StructType\NoSuchPublicationException $noSuchPublicationException = null)
    {
        $this
            ->setNoSuchPublicationException($noSuchPublicationException);
    }
    /**
     * Get NoSuchPublicationException value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\NoSuchPublicationException|null
     */
    public function getNoSuchPublicationException()
    {
        return isset($this->NoSuchPublicationException) ? $this->NoSuchPublicationException : null;
    }
    /**
     * Set NoSuchPublicationException value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\NoSuchPublicationException $noSuchPublicationException
     * @return \StructType\NoSuchPublicationException
     */
    public function setNoSuchPublicationException(\StructType\NoSuchPublicationException $noSuchPublicationException = null)
    {
        if (is_null($noSuchPublicationException) || (is_array($noSuchPublicationException) && empty($noSuchPublicationException))) {
            unset($this->NoSuchPublicationException);
        } else {
            $this->NoSuchPublicationException = $noSuchPublicationException;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\NoSuchPublicationException
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
